Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.execution.repository.snapshot
Class SnapshotUnmarshalException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.webflow.core.FlowException
                      org.springframework.webflow.execution.repository.FlowExecutionRepositoryException
                          org.springframework.webflow.execution.repository.snapshot.SnapshotUnmarshalException

All Implemented Interfaces:
  java.io.Serializable

    public class SnapshotUnmarshalException

extends FlowExecutionRepositoryException

Thrown when a FlowExecutionContinuation could not be deserialized into a FlowExecution.

Author:
  Keith Donald
See Also:
  `FlowExecutionSnapshot`, `FlowExecution`, Serialized Form

Constructor Summary
`SnapshotUnmarshalException(java.lang.String message, java.lang.Throwable cause)` Creates a new flow execution unmarshalling exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SnapshotUnmarshalException

    public SnapshotUnmarshalException(java.lang.String message,
                                      java.lang.Throwable cause)

  Creates a new flow execution unmarshalling exception.

  Parameters:
    `message` - the exception message
    `cause` - the cause

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD